# default to using syslog. /etc/rsyslog.d/45-frr.conf places the log in
# /var/log/frr/frr.log
log syslog notifications
frr defaults traditional
!
router bgp {{ var_router_asn }}
no bgp ebgp-requires-policy
{% for sub in var_attached_subnets %}
{% if sub['kube_node_network'] == true %}
bgp router-id {{ sub['router_id'] }} 
{% endif %}
{% endfor %}
{% for n in var_neighbors %}
neighbor {{ n['id'] }} remote-as {{ n['asn'] }}
neighbor {{ n['id'] }} update-source {{ n['iface'] }} 
neighbor {{ n['id'] }} soft-reconfiguration inbound
{% endfor %}
address-family ipv4 unicast
{% for n in var_neighbors %}
neighbor {{ n['id'] }} next-hop-self
{% endfor %}
!
address-family ipv6 unicast
exit-address-family
!
line vty
